//----------------------------------------------------------------------
// Titel     : DSP Heimradio Display include file
//----------------------------------------------------------------------
// Dateiname : keys.h
// Includes  : -
// Hinweis   : display.h den source Files hinzuf.
//----------------------------------------------------------------------
// Datum     : 25.04.2014 21:56:33
// Version   : 1.00
// Autor     : Andreas Nestler
// Changes   :
//		v1   : initial version; Display extracted control functions
//      v1.01: some small updates to avoid globals and extern
//      v1.02: new int to ascii routine to speed up
//             and to avoid old data fragments
//----------------------------------------------------------------------

#ifndef __KEYS_H__  /* Header wrapper to avoid multiple inclusion */
#define __KEYS_H__

#define KEY_PIN		PINB
#define KEY_PORT    PORTB
#define KEY0		1      // KEY0 an PB.1

#define REPEAT_MASK	(1<<KEY0)	// repeat: key0
#define REPEAT_START	50		// after 500ms
#define REPEAT_NEXT	20		// every 200ms

/*
** function prototypes
*/
uint8_t get_key_press( uint8_t key_mask );
uint8_t get_key_release( uint8_t key_mask );
uint8_t get_key_rpt( uint8_t key_mask );
uint8_t get_key_short( uint8_t key_mask );
uint8_t get_key_long( uint8_t key_mask );
uint8_t get_key_long_r( uint8_t key_mask );      // if repeat function needed
uint8_t get_key_rpt_l( uint8_t key_mask );       // if long function needed



#endif


